Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenMetricRuleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenMetricRuleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenMetricRule, GenRuleBase

    public class GenMetricRuleImpl

extends GenRuleBaseImpl
implements GenMetricRule

An implementation of the model object 'Gen Metric Rule'.

The following features are implemented:

- `Key`
- `Rule`
- `Target`
- `Low Limit`
- `High Limit`
- `Container`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.Double` `HIGH_LIMIT_EDEFAULT` The default value of the '`High Limit`' attribute
`protected java.lang.Double` `highLimit` The cached value of the '`High Limit`' attribute
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected static java.lang.Double` `LOW_LIMIT_EDEFAULT` The default value of the '`Low Limit`' attribute
`protected java.lang.Double` `lowLimit` The cached value of the '`Low Limit`' attribute
`protected ValueExpression` `rule` The cached value of the '`Rule`' containment reference
`protected GenMeasurable` `target` The cached value of the '`Target`' containment reference

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
`description, DESCRIPTION_EDEFAULT, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenMetricRuleImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetContainer(GenMetricContainer newContainer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRule(ValueExpression newRule, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTarget(GenMeasurable newTarget, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`GenMetricContainer` `getContainer()`
`java.lang.Double` `getHighLimit()`
`java.lang.String` `getKey()`
`java.lang.Double` `getLowLimit()`
`ValueExpression` `getRule()`
`GenMeasurable` `getTarget()`
`void` `setContainer(GenMetricContainer newContainer)`
`void` `setHighLimit(java.lang.Double newHighLimit)`
`void` `setKey(java.lang.String newKey)`
`void` `setLowLimit(java.lang.Double newLowLimit)`
`void` `setRule(ValueExpression newRule)`
`void` `setTarget(GenMeasurable newTarget)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
`getDescription, getName, setDescription, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleBase
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getKey()`
  ** Generated **
  Ordered:

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getKey()`
  ** Generated **
  Ordered:

### rule

    protected ValueExpression rule

  The cached value of the '`Rule`' containment reference.

  See Also:
    `getRule()`
  ** Generated **
  Ordered:

### target

    protected GenMeasurable target

  The cached value of the '`Target`' containment reference.

  See Also:
    `getTarget()`
  ** Generated **
  Ordered:

### LOW_LIMIT_EDEFAULT

    protected static final java.lang.Double LOW_LIMIT_EDEFAULT

  The default value of the '`Low Limit`' attribute.

  See Also:
    `getLowLimit()`
  ** Generated **
  Ordered:

### lowLimit

    protected java.lang.Double lowLimit

  The cached value of the '`Low Limit`' attribute.

  See Also:
    `getLowLimit()`
  ** Generated **
  Ordered:

### HIGH_LIMIT_EDEFAULT

    protected static final java.lang.Double HIGH_LIMIT_EDEFAULT

  The default value of the '`High Limit`' attribute.

  See Also:
    `getHighLimit()`
  ** Generated **
  Ordered:

### highLimit

    protected java.lang.Double highLimit

  The cached value of the '`High Limit`' attribute.

  See Also:
    `getHighLimit()`
  ** Generated **
  Ordered:

Constructor Detail

### GenMetricRuleImpl

    protected GenMetricRuleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenRuleBaseImpl`
  ** Generated **

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `GenMetricRule`
  Returns:
    the value of the 'Key' attribute.
  See Also:
    `GenMetricRule.setKey(String)`, `GMFGenPackage.getGenMetricRule_Key()`
  ** Generated **

### setKey

    public void setKey(java.lang.String newKey)

  Specified by:
    `setKey` in interface `GenMetricRule`
  Parameters:
    `newKey` - the new value of the 'Key' attribute.
  See Also:
    `GenMetricRule.getKey()`
  ** Generated **

### getRule

    public ValueExpression getRule()

  Specified by:
    `getRule` in interface `GenMetricRule`
  Returns:
    the value of the 'Rule' containment reference.
  See Also:
    `GenMetricRule.setRule(ValueExpression)`, `GMFGenPackage.getGenMetricRule_Rule()`
  ** Generated **

### basicSetRule

    public org.eclipse.emf.common.notify.NotificationChain basicSetRule(ValueExpression newRule,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setRule

    public void setRule(ValueExpression newRule)

  Specified by:
    `setRule` in interface `GenMetricRule`
  Parameters:
    `newRule` - the new value of the 'Rule' containment reference.
  See Also:
    `GenMetricRule.getRule()`
  ** Generated **

### getTarget

    public GenMeasurable getTarget()

  Specified by:
    `getTarget` in interface `GenMetricRule`
  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `GenMetricRule.setTarget(GenMeasurable)`, `GMFGenPackage.getGenMetricRule_Target()`
  ** Generated **

### basicSetTarget

    public org.eclipse.emf.common.notify.NotificationChain basicSetTarget(GenMeasurable newTarget,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setTarget

    public void setTarget(GenMeasurable newTarget)

  Specified by:
    `setTarget` in interface `GenMetricRule`
  Parameters:
    `newTarget` - the new value of the 'Target' containment reference.
  See Also:
    `GenMetricRule.getTarget()`
  ** Generated **

### getContainer

    public GenMetricContainer getContainer()

  Specified by:
    `getContainer` in interface `GenMetricRule`
  Returns:
    the value of the 'Container' container reference.
  See Also:
    `GenMetricRule.setContainer(GenMetricContainer)`, `GMFGenPackage.getGenMetricRule_Container()`, `GenMetricContainer.getMetrics()`
  ** Generated **

### basicSetContainer

    public org.eclipse.emf.common.notify.NotificationChain basicSetContainer(GenMetricContainer newContainer,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setContainer

    public void setContainer(GenMetricContainer newContainer)

  Specified by:
    `setContainer` in interface `GenMetricRule`
  Parameters:
    `newContainer` - the new value of the 'Container' container reference.
  See Also:
    `GenMetricRule.getContainer()`
  ** Generated **

### getLowLimit

    public java.lang.Double getLowLimit()

  Specified by:
    `getLowLimit` in interface `GenMetricRule`
  Returns:
    the value of the 'Low Limit' attribute.
  See Also:
    `GenMetricRule.setLowLimit(Double)`, `GMFGenPackage.getGenMetricRule_LowLimit()`
  ** Generated **

### setLowLimit

    public void setLowLimit(java.lang.Double newLowLimit)

  Specified by:
    `setLowLimit` in interface `GenMetricRule`
  Parameters:
    `newLowLimit` - the new value of the 'Low Limit' attribute.
  See Also:
    `GenMetricRule.getLowLimit()`
  ** Generated **

### getHighLimit

    public java.lang.Double getHighLimit()

  Specified by:
    `getHighLimit` in interface `GenMetricRule`
  Returns:
    the value of the 'High Limit' attribute.
  See Also:
    `GenMetricRule.setHighLimit(Double)`, `GMFGenPackage.getGenMetricRule_HighLimit()`
  ** Generated **

### setHighLimit

    public void setHighLimit(java.lang.Double newHighLimit)

  Specified by:
    `setHighLimit` in interface `GenMetricRule`
  Parameters:
    `newHighLimit` - the new value of the 'High Limit' attribute.
  See Also:
    `GenMetricRule.getHighLimit()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenRuleBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenRuleBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenRuleBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenRuleBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenRuleBaseImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.